.landing-page {
  color: white;
  margin: 0 auto;
  max-width: 1320px;
}

.hero-wrapper{
  position: relative;
  width: 100%;
  overflow: hidden;
  height: 110vh;
}

.hero-bg{
  position: absolute;
  inset: 0;
  background: url("../assets/wave.svg") no-repeat right bottom;
  background-size: 1600px;
  pointer-events: none;
}

.hero{
  position: relative;
  z-index: 2;
  min-height: calc(100vh - 80px);
  display: flex;
  align-items: center;
}

.hero-title {
  font-size: 64px;
  color: white;
  line-height: 1.1;
  margin-bottom: 16px;
  margin-top: calc(350px - 80px);
}

.hero-subtitle {
  margin-bottom: 47px;
  font-size: 24px;
  margin-bottom: 485px;
}

.values-intro {
  font-size: 20px;
}

.about-title {
  font-size: 64px;
}

.values {
  display: flex;
  justify-content: space-between;
  align-items: start;
  gap: 2rem;
  margin-bottom: 100px;
}

.values > div {
  flex: 1;
}

.values-text {
  font-size: 16px;
}

.journey {
  position: relative;
  padding: 60px 20px;
}

.journey-line {
  position: absolute;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: 92%;
  height: 2px;
  background: linear-gradient(90deg, #F9F9F9 0%,#D9D9D9 50%, #00D8FF 100%);
  border-radius: 50px;
  z-index: 1;
}

.journey-points {
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 2;
  margin: 0 120px;
  flex-wrap: nowrap;
}

.journey-point {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

.bullet {
  width: 32px;
  height: 32px;
  background-color: white;
  border: 2px solid #011640;
  border-radius: 50%;
  position: absolute;
  box-shadow: 0px 0px 100px 0px #00d8ff;
  top: -55px;
}

.point-label {
  margin-top: 20px;
  font-size: 20px;
  text-align: center;
  color: white;
  margin-bottom: 132px;
}

.journey-btn-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: end;
}

.read-more-btn {
  padding: 10px 33px;
  border-radius: 100px;
  border: none;
  width: 182px;
  color: white;
  width: 240px;
  display: flex;
  align-items: center;
  font-size: 16px;
  justify-content: space-between;
  background: linear-gradient(to right, #010A26 0%,#E83338 50%, #00D8FF 100%);
}

.services-title {
  font-size: 36px;
  margin-bottom: 80px;
}

.services-title span {
  color: #E83338;
}

.services-wrapper {
  display: flex;
  flex-wrap: wrap;
  column-gap: 28px;
  row-gap: 28px;
  justify-content: space-between;
}

.services-box {
  max-width: 420px;
  background-color: rgba(1, 22, 64, 0.2);
  padding: 40px;
  border-radius: 40px;
  border: 1px solid #00d8ff;
  box-shadow: inset 0px 0px 50px 0px rgba(0, 216, 255, 0.4);
  margin-bottom: 10px;
}

.services-box-title {
  display: flex;
  align-items: center;
  gap: 14px;
  font-weight: 600;
  font-size: 24px;
  margin-bottom: 28px;
}

.services-btn {
  background-color: transparent;
  display: flex;
  align-items: center;
  gap: 8px;
  border: none;
  color: white;
  width: fit-content;
  height: fit-content;
  cursor: pointer;
  font-size: 16px;
}

.services-btn-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: end;
  margin-top: 80px;
  margin-bottom: 100px;
}

.expertise-section {
  position: relative;
}

.expertise-intro {
  font-size: 36px;
  margin-bottom: 130px;
  font-weight: 500;
}

.expertise-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 114px;
  position: relative;
  width: 100%;
  margin-bottom: 100px;
}

.expertise-line {
  position: absolute;
  left: 50%;
  top: -50px;
  bottom: -50px;
  width: 2px;
  background: #2e2d40;
  transform: translateX(-50%);
  z-index: 0;
}

.expertise-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  width: 100%;
  min-height: 120px;
  position: relative;
}

.expertise-dot {
  position: absolute;
  left: 50%;
  width: 20px;
  height: 20px;
  background: #372cff;
  box-shadow: 0px 0px 250px 40px #372cff;
  border-radius: 50%;
  transform: translate(-50%, 10px);
  z-index: 1;
}

.expertise-text {
  flex: 1;
  text-align: left;
  padding: 0 20px 0 0;
}

.expertise-text h3 {
  font-size: 24px;
  margin-bottom: 20px;
  font-weight: 500;
}

.expertise-text p {
  color: #fff;
  font-size: 16px;
  line-height: 1.5;
  max-width: 420px;
}

.expertise-icons {
  flex: 1;
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  align-items: center;
  margin-left: 60px;
  width: 100%;
}

.expertise-icons img {
  width: 40px;
  height: 40px;
  object-fit: contain;
}

.expertise-icons span {
  font-size: 20px;
}

.clients {
  margin: 0 auto;
  text-align: center;
  position: relative;
  margin-bottom: 100px;
}

.clients-title {
  font-size: 48px !important;
  margin: 0 auto;
  margin-bottom: 40px;
  font-weight: 500;
}

.clients-intro {
  font-size: 32px;
  font-weight: 400;
}

.clients-desc {
  font-size: 24px;
  margin-bottom: 40px;
  font-weight: 300;
}

.clients-logos {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.clients-logos img {
  max-width: 200px;
}

.best-solutions {
  width: fit-content;
  margin: 0 auto;
  text-align: center;
}

.best-solutions-txt {
  font-size: 48px;
  font-weight: 400;
  padding: 0 7% 0;
  margin-bottom: 24px;
}

.best-solutions button {
  font-size: 16px;
  padding: 12px 28px 11px;
  display: inline-flex;
  align-items: center;
  gap: 8px;
  border-radius: 9999px;
  text-decoration: none;
  border: none;
  margin-bottom: 100px;
  font-weight: 500;
}

.myb {
  margin-bottom: 100px;
  display: flex;
  gap: 40px;
  border-radius: 20px;
  color: #fff;
}

.myb button {
  cursor: pointer;
}

.myb-first-div{
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 10px;
}

.myb > div {
  flex: 1;
}

.myb h2 {
  font-size: 32px;
  font-weight: 500;
  margin-bottom: 33.5px;
}

.myb-description {
  margin-bottom: 91.5px;
}

.myb-second-div {
  display: flex;
  justify-content: center;
  align-items: center;
}

.myb-second-div img {
  width: 100%;
}

.myb-btn {
  padding: 12px 26px;
  border-radius: 24px;
  border: none;
  font-size: 16px;
  font-weight: 500;
}

.best-solution {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
  padding: 0 5%;
  max-width: 900px;
  margin: 0 auto;
  text-align: center;
}

.join-us-btn{
  border: none;
  padding: 12px 28px 11px;
  align-items: center;
  border-radius: 100px;
  text-decoration: none;
  cursor: pointer;
  font-weight: 600;
}

.services-wrapper{
  margin-bottom: 100px;
}

@media (max-width: 1024px) {
  .landing-page {
    margin-left: 40px;
    margin-right: 40px;
  }

  .hero-title {
    font-size: 48px;
  }

  .hero{
  min-height: 70vh;
}

.hero-bg{
  background-size: 1500px;
  background-position: right -200px bottom -100px;
}

  .about-title {
    font-size: 48px;
  }

  .journey {
    height: auto;
    padding: 50px 20px;
  }

  .journey-points {
    margin: 0 60px;
    flex-wrap: nowrap;
  }

  .bullet {
    width: 24px;
    height: 24px;
    top: -40px;
  }

  .point-label {
    font-size: 16px;
    margin-bottom: 100px;
  }

  .services-box {
    width: 400px;
  }

  .expertise-container {
    gap: 80px;
    padding: 0;
    margin-bottom: 100px;
  }

  .expertise-text {
    padding: 0 40px 0 10px;
  }

  .expertise-icons {
    margin-left: 30px;
    gap: 40px;
  }
}

@media (max-width: 768px) {


  .landing-page {
    /* margin-top: calc(200px - 60px); */
    margin-left: 20px;
    margin-right: 20px;
  }

  .clients-logos {
    margin-bottom: 100px;
  }

  .clients-desc{
    font-size: 16px;
    margin-bottom: 80px;
  }
  
  .clients-title{
    font-size: 32px !important;
  }

  .myb {
    margin-bottom: 20px;
  }

  .myb-description{
    margin-bottom: 40px;
  }

  .myb h2{
    font-size: 40px;
    margin-bottom: 31px;
  }

  .values {
    display: flex;
    justify-content: space-between;
    margin-bottom: 100px;
  }


  .hero-subtitle{
    margin-bottom: 350px;
  }

  .expertise-dot {
    display: none;
  }

  .expertise-line {
    display: none;
  }

  .expertise-icons{
    gap: 20px;
  }

  .about-title {
    font-size: 48px;
    line-height: 1.2;
  }
  .journey{
    padding: 43px 20px;
  }

  .journey-points {
    margin: 0 20px;
    flex-wrap: nowrap;
    gap: 30px;
  }

  .bullet {
    width: 20px;
    height: 20px;
    top: -32px;
  }

  .point-label {
    font-size: 14px;
    margin-bottom: 60px;
  }

  .services-box {
    max-width: 350px;
    /* min-width: 300px; */
    min-height: 350px;
  }

  .services-box-title {
    font-size: 20px;
  }

  .services-wrapper{
    margin-bottom: 80px;
  }

  .services-title{
    margin-bottom: 40px;
  }

  .expertise-intro{
    font-size: 32px;
    margin-bottom: 40px;
  }

  .expertise-item {
    flex-direction: column;
    gap: 20px;
    align-items: flex-start;
  }

  .expertise-text {
    padding: 0;
    max-width: 100%;
    text-align: left;
  }

  .expertise-text p{
    max-width: 100%;
  }
  .expertise-icons {
    margin-left: 0;
    justify-content: center;
  }

  .clients-logos {
    justify-content: center;
    padding: 0 2%;
    gap: 20px;
    margin-bottom: 80px;
  }

  .myb {
    flex-direction: column;
    gap: 40px;
  }

  .myb-second-div {
    justify-content: center;
  }

  .myb-second-div img {
    max-width: 630px;
    height: auto;
  }

  .services-wrapper{
    display: flex;
    flex-direction: row;
  }

  .best-solution {
    padding: 0 20px;
  }

  .best-solution-text {
    font-size: 20px;
    max-width: 450px;
  }

  .join-us-btn {
    width: 100%;
    max-width: 390px;
  }
}

@media (max-width: 480px) {

  .hero-subtitle{
    margin-bottom: 358px;
    font-size: 18px;
  }

  .services-wrapper {
    column-gap: 10px;
    row-gap: 5px;
    justify-content: center;
    margin-bottom: 60px;
  }

  .journey-points {
    margin: 0 10px;
    flex-wrap: nowrap;
    gap: 20px;  
  }

  .journey{
    padding: 38px 10px;
  }

  .bullet {
    width: 16px;
    height: 16px;
    top: -25px;
  }

  .point-label {
    font-size: 12px;
    margin-bottom: 40px;
  }

  .hero-title {
    font-size: 32px;
  }

  .about-title {
    font-size: 28px;
  }

  .values{
    flex-direction: column;
    gap: 60px;
    margin-bottom: 80px;
  }

  .values-intro,
  .values-text {
    font-size: 14px;
  }

  .services-title {
    font-size: 28px;
    margin-bottom: 60px;
  }

  .services-box {
    width: 100%;
    min-height: 300px;
    max-width: 100%;
    padding: 30px;
    box-shadow: inset 0px 0px 30px 0px rgba(0, 216, 255, 0.4);
  }

  .services-box-title {
    font-weight: 500;
    font-size: 18px;
    margin-bottom: 20px;
  }

  .services-box-title svg {
    width: 30px;
    height: 30px;
  }

  .expertise-intro {
    font-size: 28px;
    margin-bottom: 60px;
  }

  .expertise-text h3 {
    font-size: 20px;
  }

  .expertise-text p {
    font-size: 14px;
    margin-bottom: 40px;
  }

  .clients-title {
    font-size: 24px !important;
  }

  .clients-intro {
    font-size: 24px;
  }

  .clients-desc {
    font-size: 14px;
    padding: 0 5%;
  }

  .best-solutions-txt {
    font-size: 20px;
  }

  .myb h2 {
    font-size: 24px;
  }

  .myb-description {
    margin-bottom: 60px;
  }

  .read-more-btn{
    /* max-width: 150px; */
    max-width: 220px;
  }

  .services-box-text {
    font-size: 16px;
    line-height: 1.2;
  }

  .expertise-text {
    padding: 0;
    max-width: 100%;
    text-align: start;
  }

  .expertise-text p {
    font-size: 14px;
    font-weight: 300;
  }

  .expertise-container {
    gap: 200px;
    padding: 0;
    margin-bottom: 60px;
  }

  .clients {
    width: 100%;
  }

  .clients-logos {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 60px;
  }

  .clients-intro {
    width: 100%;
    font-size: 20px;
  }

  .clients-title {
    margin-bottom: 60px;
  }

  .clients-desc {
    padding: 0;
    margin-bottom: 60px;
  }

  .myb h2 {
    font-size: 20px;
  }

  .best-solution{
    gap: 60px;
  }

  .best-solution-text {
    font-size: 20px;
  }

  .join-us-btn {
    font-size: 16px;
    padding: 10px 20px;
    max-width: 290px;
  }
}
